import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { HttpClient } from '@angular/common/http';
import { AppConfig, PlayerService } from 'jtb-core-games-ui';
export declare class VersionService {
    private config;
    private http;
    private playerService;
    private modalService;
    private modalComponent;
    constructor(config: AppConfig, http: HttpClient, playerService: PlayerService, modalService: NgbModal);
    /**
     * Component should take in AppConfig and use version notes
     * @param modalComponent
     */
    setVersionNotesComponent(modalComponent: any): void;
    private displayVersionNotes(lastVersionForPlayer);
    private playerNeedsToSeeNotes(lastVersionForPlayer);
}
